import { WriterFormat } from '../types';
import { BaseMetadataTransformer } from './baseMetadataTransformer';
import { ConvertTransaction } from '../convertTransaction';
import { SourceComponent } from '../../metadata-registry';
import { JsonMap, AnyJson } from '@salesforce/ts-types';
interface RecomposedXmlJson extends JsonMap {
    [parentFullName: string]: {
        [groupNode: string]: AnyJson;
    };
}
export declare class DecomposedMetadataTransformer extends BaseMetadataTransformer {
    constructor(component: SourceComponent, convertTransaction: ConvertTransaction);
    toMetadataFormat(): WriterFormat;
    toSourceFormat(): WriterFormat;
    static recompose(children: SourceComponent[], baseXmlObj?: RecomposedXmlJson): JsonMap;
    static createWriterFormat(trigger: SourceComponent, xmlJson: JsonMap): WriterFormat;
}
export {};
